{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.travel_location_selector": {
			"states": {
				"default": {
					"transitions": [
						{
							"init_location_selector_accept": "query.variant>=0 && query.variant<=5"
						},
						{ "type_toggle_left": "query.variant==6" },
						{ "type_toggle_right": "query.variant==7" }
					]
				},
				"init_location_selector_accept": {
					"transitions": [
						{ "park_avenue": "query.variant==0" },
						{ "central_park_zoo": "query.variant==1" },
						{ "liberty_island": "query.variant==2" },
						{ "plaza_hotel": "query.variant==3" },
						{ "times_square": "query.variant==4" },
						{ "empire_state_building": "query.variant==5" }
					],
					"on_entry": ["/tag @s add location_selector_accept"]
				},

				"park_avenue": {
					"transitions": [
						{ "on_interact_park_avenue": "query.is_baby" },
						{ "empire_state_building": "query.mark_variant==2" },
						{ "central_park_zoo": "query.mark_variant==3" }
					],
					"on_entry": [
						"/tag @s remove toggle_left",
						"/tag @s remove toggle_right",
						"/titleraw @a[r=4] actionbar {\"rawtext\":[{\"translate\":\"bus_stop_hint.park_avenue\"}]}",
						"@s shapescape:no_toggle_detected",
						"@s shapescape:park_avenue"
					]
				},
				"central_park_zoo": {
					"transitions": [
						{ "on_interact_central_park_zoo": "query.is_baby" },
						{ "park_avenue": "query.mark_variant==2" },
						{ "liberty_island": "query.mark_variant==3" }
					],
					"on_entry": [
						"/tag @s remove toggle_left",
						"/tag @s remove toggle_right",
						"/titleraw @a[r=4] actionbar {\"rawtext\":[{\"translate\":\"bus_stop_hint.central_park_zoo\"}]}",
						"@s shapescape:no_toggle_detected",
						"@s shapescape:central_park_zoo"
					]
				},
				"liberty_island": {
					"transitions": [
						{ "on_interact_liberty_island": "query.is_baby" },
						{ "central_park_zoo": "query.mark_variant==2" },
						{ "plaza_hotel": "query.mark_variant==3" }
					],
					"on_entry": [
						"/tag @s remove toggle_left",
						"/tag @s remove toggle_right",
						"/titleraw @a[r=4] actionbar {\"rawtext\":[{\"translate\":\"bus_stop_hint.liberty_island\"}]}",
						"@s shapescape:no_toggle_detected",
						"@s shapescape:liberty_island"
					]
				},
				"plaza_hotel": {
					"transitions": [
						{ "on_interact_plaza_hotel": "query.is_baby" },
						{ "liberty_island": "query.mark_variant==2" },
						{ "times_square": "query.mark_variant==3" }
					],
					"on_entry": [
						"/tag @s remove toggle_left",
						"/tag @s remove toggle_right",
						"/titleraw @a[r=4] actionbar {\"rawtext\":[{\"translate\":\"bus_stop_hint.plaza_hotel\"}]}",
						"@s shapescape:no_toggle_detected",
						"@s shapescape:plaza_hotel"
					]
				},
				"times_square": {
					"transitions": [
						{ "on_interact_times_square": "query.is_baby" },
						{ "plaza_hotel": "query.mark_variant==2" },
						{ "empire_state_building": "query.mark_variant==3" }
					],
					"on_entry": [
						"/tag @s remove toggle_left",
						"/tag @s remove toggle_right",
						"/titleraw @a[r=4] actionbar {\"rawtext\":[{\"translate\":\"bus_stop_hint.times_square\"}]}",
						"@s shapescape:no_toggle_detected",
						"@s shapescape:times_square"
					]
				},
				"empire_state_building": {
					"transitions": [
						{ "on_interact_empire_state_building": "query.is_baby" },
						{ "times_square": "query.mark_variant==2" },
						{ "park_avenue": "query.mark_variant==3" }
					],
					"on_entry": [
						"/tag @s remove toggle_left",
						"/tag @s remove toggle_right",
						"/titleraw @a[r=4] actionbar {\"rawtext\":[{\"translate\":\"bus_stop_hint.empire_state_building\"}]}",
						"@s shapescape:no_toggle_detected",
						"@s shapescape:empire_state_building"
					]
				},

				"type_toggle_left": {
					"transitions": [{ "on_interact_type_toggle_left": "query.is_baby" }]
				},
				"type_toggle_right": {
					"transitions": [{ "on_interact_type_toggle_right": "query.is_baby" }]
				},

				"on_interact_park_avenue": {
					"transitions": [{ "park_avenue": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/execute as @a[r=4] run function fast_travel/park_avenue"
					]
				},
				"on_interact_central_park_zoo": {
					"transitions": [{ "central_park_zoo": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/execute as @a[r=4] run function fast_travel/central_park_zoo"
					]
				},
				"on_interact_liberty_island": {
					"transitions": [{ "liberty_island": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/execute as @a[r=4] run function fast_travel/liberty_island"
					]
				},
				"on_interact_times_square": {
					"transitions": [{ "times_square": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/execute as @a[r=4] run function fast_travel/times_square"
					]
				},
				"on_interact_plaza_hotel": {
					"transitions": [{ "plaza_hotel": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/execute as @a[r=4] run function fast_travel/plaza_hotel"
					]
				},
				"on_interact_empire_state_building": {
					"transitions": [{ "empire_state_building": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/execute as @a[r=4] run function fast_travel/empire_state_building"
					]
				},
				"on_interact_type_toggle_left": {
					"transitions": [{ "type_toggle_left": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/tag @e[tag=location_selector_accept,type=shapescape:travel_location_selector,r=3] add toggle_left"
					]
				},
				"on_interact_type_toggle_right": {
					"transitions": [{ "type_toggle_right": "1.0" }],
					"on_entry": [
						"@s shapescape:on_interaction_clear",
						"/tag @e[tag=location_selector_accept,type=shapescape:travel_location_selector,r=3] add toggle_right"
					]
				}
			}
		}
	}
}
